import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Equipo } from '../../equipo/entity/equipo.entity';
import { Programa } from '../../institucion-programa/entity/programa.entity';

@Entity()
export class EquipoPrograma {
  @PrimaryGeneratedColumn()
  id_equipo_programa: number;

  @Column({ type: Number, nullable: true })
  id_equipo: number;

  @Column({ type: Number, nullable: true, default: 1 })
  id_programa: number;

  @ManyToOne(() => Equipo, (equipo) => equipo.programas)
  @JoinColumn({ name: 'id_equipo' })
  equipo: Equipo;

  @ManyToOne(() => Programa, (programa) => programa.equipos)
  @JoinColumn({ name: 'id_programa' })
  programa: Programa;
}
