import {
  Column,
  Entity,
  JoinColumn,
  OneToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Prestamo } from '../../prestamo/entity/prestamo.entity';

@Entity()
export class Passcode {
  @PrimaryGeneratedColumn()
  id_passcode: number;

  @Column({ type: Boolean, nullable: true, default: false })
  abrio: boolean;

  @Column({ type: String, nullable: true, default: null })
  passcode: string;

  @OneToOne(() => Prestamo, (prestamo) => prestamo.id_prestamo, {
    eager: true,
  })
  @JoinColumn({ name: 'id_prestamo' })
  prestamo: Prestamo;
}
